/* MakeFlexi
 * Programm zur Erzeugung flexibler Flächen durch Lasercutter
 * in 2D zum Export als DXF-Datei,
 * Laserstrahldicke wird nicht berücksichtigt!
 * Stefan Abel 2016
 *
 *
 */
 
//Definition von Variablen
Hoehe = 100;        //in X-Richtung
Breite = 100;       //in Y-Richtung

Rand = 20;          //Randhoehe in Y-Richtung
Ausgabeart = 0;     //0: es wird geschlitzt
                    //1: Rand wird geschnitten

Schlitzbreite = 20;  //in X-Richtung
Schlitzhoehe = 3;    //in Y-Richtung
Stegbreite = 3;      //in X-Richtung
Steghoehe = 3;       //in Y-Richtung
 
//Hauptprogramm

if (Ausgabeart == 1)
    { translate([0,-Rand,0]) square ([Breite,Hoehe+2*Rand]);}

intersection()
{
   schlitzen();
   square ([Breite,Hoehe]);
}

//translate([0,-Rand,0]) square ([Breite,Hoehe+2*Rand]);
//polygon(points=[[-Rand,0],[Breite,Steghoehe],[Breite,-Rand],[0,-Rand]]);
//schlitzen(); //alternativ zum Testen
//square ([Breite,Hoehe]);

//Unterprogramm als Module
module schlitzen ()
{
   for (y = [0:2*(Steghoehe+Schlitzhoehe):Hoehe]) 
      {
      for (x = [-Schlitzbreite-Stegbreite:Schlitzbreite+Stegbreite:Breite])
      {
         translate([x,y,0])
         square ([Schlitzbreite,Schlitzhoehe]);
         translate([x+Schlitzbreite/2+Stegbreite/2,y+Steghoehe+Schlitzhoehe,0])
         square ([Schlitzbreite,Schlitzhoehe]);   
      }
   }
}
    